import http from '@/apis/axios'
let testURL = "http://stock.test241.wanyuhengtong.com/"
let prodURL = "http://stock.api.wanyuhengtong.com/"
// 登录
export function detail(data) {
  let model = JSON.parse(JSON.stringify(data))
  const { full } = model
  delete model['full']
  return http({
    url: `${full === '/good-share' ? prodURL : testURL}admin/projectshare`,
    method: 'post',
    data: model
  })
}
// 项目返回商品分页查询
export function back_good_list(data) {
  let model = JSON.parse(JSON.stringify(data))
  const { full } = model
  delete model['full']
  return http({
    url: `${full === '/good-share' ? prodURL : testURL}admin/projectsharelist`,
    method: 'post',
    data: model
  })
}
// 反馈商品选择
export function back_good_submit(data) {
  let model = JSON.parse(JSON.stringify(data))
  const { full } = model
  delete model['full']
  return http({
    url: `${full === '/good-share' ? prodURL : testURL}admin/projectsharecheck`,
    method: 'post',
    data: model
  })
}
// 查询方案列表
export function get_project_plan(data) {
  let model = JSON.parse(JSON.stringify(data))
  const { full } = model
  delete model['full']
  return http({
    url: `${full === '/good-share' ? prodURL : testURL}admin/projectshareplan`,
    method: 'post',
    data: model
  })
}
// 获取账号业务设置
export function change_project_plan(data) {
  let model = JSON.parse(JSON.stringify(data))
  const { full } = model
  delete model['full']
  return http({
    url: `${full === '/good-share' ? prodURL : testURL}admin/plancheck`,
    method: 'post',
    data: model
  })
}



